# Generated by Django 4.1.3 on 2022-12-14 12:59

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('user_app', '0003_remove_customuser_first_name_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('profile_type', models.CharField(choices=[('Personal', 'Personal'), ('Corporate', 'Corporate')], max_length=10, verbose_name='Profile type')),
                ('user_name', models.CharField(blank=True, max_length=255, null=True, verbose_name='User name')),
                ('user_email', models.EmailField(blank=True, max_length=254, null=True, unique=True, verbose_name='User email')),
                ('user_info', models.CharField(blank=True, max_length=150, null=True, verbose_name='User information')),
                ('user_image', models.ImageField(blank=True, max_length=250, null=True, upload_to='', validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['jpeg', 'jpg', 'png', 'webp'])], verbose_name='Cover image')),
                ('user_cover_image', models.ImageField(blank=True, max_length=250, null=True, upload_to='', validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['jpeg', 'jpg', 'png', 'webp'])], verbose_name='Cover image')),
                ('company_name', models.CharField(blank=True, max_length=50, null=True, verbose_name='Company name')),
                ('company_legal_name', models.CharField(blank=True, max_length=50, null=True, unique=True, verbose_name='Company email')),
                ('company_address', models.CharField(blank=True, max_length=200, null=True, verbose_name='Address')),
                ('company_email', models.EmailField(blank=True, max_length=254, null=True, unique=True, verbose_name='Company email')),
                ('company_ein', models.CharField(blank=True, max_length=50, null=True, unique=True, verbose_name='EIN number')),
                ('company_info', models.CharField(blank=True, max_length=150, null=True, verbose_name='Information')),
                ('company_image', models.ImageField(blank=True, max_length=250, null=True, upload_to='', validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['jpeg', 'jpg', 'png', 'webp'])], verbose_name='Cover image')),
                ('company_cover_image', models.ImageField(blank=True, max_length=250, null=True, upload_to='', validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['jpeg', 'jpg', 'png', 'webp'])], verbose_name='Cover image')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'verbose_name': 'Profile',
                'verbose_name_plural': 'Profiles',
            },
        ),
    ]
